Skip to content

Booking table ​

INFO

Every response arrives in the shared envelope — code, message, messages, status_code, time — with the payload in data. The tables below describe what is inside data.

POST /booking-table/create ​

This method allows adding booking-table into the account.

Request body

FieldTypeRequiredDescription
namestringYes
organization_idstringYes
ordernumberNo
json
{
  "name": "string",
  "organization_id": "67b486d242ed76693cd2cc59",
  "order": 0
}

Response

FieldTypeDescription
_idstring
namestring
ordernumber
organization_idstring
json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": {
    "_id": "string",
    "name": "string",
    "order": 0,
    "organization_id": "67b486d242ed76693cd2cc59"
  },
  "time": "2025-05-01T12:00:00Z"
}

PUT /booking-table/update ​

This method allows updating booking-table in the account.

Request body

FieldTypeRequiredDescription
_idstringNo
namestringNo
ordernumberYes
json
{
  "_id": "63f8b0c4e4b0d3a2f8e4b0c4",
  "name": "string",
  "order": 0
}

Response

Same response shape as POST /booking-table/create.

DELETE /booking-table/delete/{id} ​

Delete a booking-table

Path parameters

ParameterTypeRequiredDescription
idstringYes

Request body

No request body.

Response

json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": "ok",
  "time": "2025-05-01T12:00:00Z"
}

GET /booking-table/get-all ​

Get all booking-tables

Query parameters

ParameterTypeRequiredDescription
organization_idstringNoOrganization ID

Request body

No request body.

Response

json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": [
    {
      "_id": "string",
      "name": "string",
      "order": 0,
      "organization_id": "67b486d242ed76693cd2cc59"
    }
  ],
  "time": "2025-05-01T12:00:00Z"
}

GET /booking-table/get-by-id/{id} ​

Get booking-table using its _id

Path parameters

ParameterTypeRequiredDescription
idstringYes

Request body

No request body.

Response

Same response shape as POST /booking-table/create.

GET /booking-table/get-deleted ​

Get deleted booking-table ids

Query parameters

ParameterTypeRequiredDescription
deleted_atstringYes

Request body

No request body.

Response

json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": [
    "string"
  ],
  "time": "2025-05-01T12:00:00Z"
}

This page is generated from the OpenAPI spec.

Bito 2.0 Integration API